<? $this->sitePath()->append($this->t('edit_tours'), $this->getLink('edit-rates')) ?>
<? $this->headTitle($this->t('edit_tours'), 'PREPEND') ?>
<? $this->headLink()->appendStylesheet(_st('private/tours.css')) ?>
<? $defines = Zend_Registry::get('defines') ?>

<script type="text/javascript">
var getRatesChks = function () {
	var chks = [];
	$('checkall').getParent('table').getElements('tbody td input').each(function (chk) { chks.include(chk) });
	return chks;
};

var getCheckedRates = function () {
	var indexes = [];
	getRatesChks().each(function (chk) { if ( chk.get('checked') ) indexes.include(chk.get('value')); });
	return indexes;
}

window.addEvent('domready', function () {
	$$('#checkall').addEvent('click', function () {
		$$(getRatesChks()).set('checked', this.get('checked'));
	});
	
	if ( $$('.appear').length ) $$('.appear')[0].get('tween', { property: 'background-color', duration: 'short', link: 'chain' }).start('#fff', '#ff9').start('#ff9', '#fff');
});

var deleteSelected = function () {
	if ( ! getCheckedRates().length ) {
		alert('Please select one or more rates to delete them');
		return false;
	}
	
	if ( ! confirm('Are you sure you want delete selected rates?') ) {
		return false;
	}
};

var addTour = function (form) {
	form = $(form);
	var vals = {
		availability: $('availability').get('value'),
		time: $('time').get('value'),
		time_unit: $('time-unit').get('value'),
		rate: $('rate').get('value'),
		currency: $('currency').get('value')
	};
	
	if ( ! vals.availability || ! vals.time || ! vals.time_unit || ! vals.rate || ! vals.currency ) {
		alert('Please fill all fields before adding rate');
		return false;
	}
}
</script>

<h1 class="heading"><? /* <img src="<?= _st('en_h1_tours.gif') ?>" alt="Edit Tours" title="Edit Tours" />*/ ?><?= $this->t('edit_tours') ?></h1>
<div class="cbox"><div class="cbox-i"><div class="cbox-ii">
	<form class="signup-form" action="" method="post" onsubmit="return addTour(this)">
		<? if ( count($this->errors) ): ?>
		<ul>
		<? foreach ( $this->errors as $field => $error ): ?>
			<li><span class="strong"><?= $field ?></span> <?= $error ?></li>
		<? endforeach; ?>
		</ul>
		<? endif; ?>
		<div class="rates signup-bodky">
			<div class="fleft">
				<div class="fleft">
					<label><?= $this->t('country') ?></label>
					<span style="padding: 5px 50px 0 0; display: block">
					<?
						$cm = new Cubix_Geography_Countries();
						$country = $cm->get(Cubix_Application::getById()->country_id);
						echo $country->title_en;
					?>
					</span>
				</div>
				
				<div class="fleft">
					<label for="city"><?= $this->t('city') ?></label>
					<select id="city" name="city_id">
						<option value="">- - -</option>
						<?
						$cm = new Cubix_Geography_Cities();
						$cities = $cm->ajaxGetAll(null, $country->id);
						
						$regions = array();
						foreach ( $cities as $city ) {
							if ( ! isset($regions[$city->region_title]) ) {
								$regions[$city->region_title] = array();
							}
							
							$regions[$city->region_title][] = $city;
						}
						
						foreach ( $regions as $title => $cities ): ?>
						<optgroup label="<?= $title ?>">
							<? foreach ( $cities as $city ): ?>
							<option value="<?= $city->id ?>"<?= $this->tour->city_id == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?></option>
							<? endforeach; ?>
						</optgroup>
						<? endforeach; ?>
					</select>
				</div>
				<div class="clear"></div>
			</div>
			
			<div class="clear"></div>
			
			<div class="fleft">
				<label><?= $this->t('date_from') ?></label>
				<div class="fleft">
					<select name="date[from][d]">
						<option value="">-</option>
						<? for ( $i = 1; $i <= 31; $i++ ): ?>
						<option value="<?= $i ?>"<?= $this->tour->date['from']['d'] == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>
				
				<div class="fleft">
					<select name="date[from][m]">
						<option value="">-</option>
						<? for ( $i = 1; $i <= 12; $i++ ): ?>
						<option value="<?= $i ?>"<?= $this->tour->date['from']['m'] == $i ? ' selected="selected"' : '' ?>><?= date('M', mktime(null, null, null, $i)) ?></option>
						<? endfor; ?>
					</select>
				</div>
				
				<div class="fleft">
					<select name="date[from][y]">
						<option value="">-</option>
						<? for ( $i = intval(date('Y')); $i <= intval(date('Y')) + 2; $i++ ): ?>
						<option value="<?= $i ?>"<?= $this->tour->date['from']['y'] == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>
				<div class="clear"></div>
			</div>
			
			<div class="fleft">
				<label><?= $this->t('date_to') ?></label>
				<div class="fleft">
					<select name="date[to][d]">
						<option value="">-</option>
						<? for ( $i = 1; $i <= 31; $i++ ): ?>
						<option value="<?= $i ?>"<?= $this->tour->date['to']['d'] == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>
				
				<div class="fleft">
					<select name="date[to][m]">
						<option value="">-</option>
						<? for ( $i = 1; $i <= 12; $i++ ): ?>
						<option value="<?= $i ?>"<?= $this->tour->date['to']['d'] == $i ? ' selected="selected"' : '' ?>><?= date('M', mktime(null, null, null, $i)) ?></option>
						<? endfor; ?>
					</select>
				</div>
				
				<div class="fleft">
					<select name="date[to][y]">
						<option value="">-</option>
						<? for ( $i = intval(date('Y')); $i <= intval(date('Y')) + 2; $i++ ): ?>
						<option value="<?= $i ?>"<?= $this->tour->date['to']['d'] == $i ? ' selected="selected"' : '' ?>><?= $i ?></option>
						<? endfor; ?>
					</select>
				</div>
				<div class="clear"></div>
			</div>
			
			<div class="clear"></div>
			
			<div class="fleft">
				<label for="email"><?= $this->t('tour_email') ?></label>
				<input type="text" name="email" value="<?= $this->tour->email ?>" id="email" size="20" class="txt" />
			</div>
			
			<div class="fleft">
				<label for="phone"><?= $this->t('tour_phone') ?></label>
				<input type="text" name="phone" value="<?= $this->tour->phone ?>" id="phone" size="15" class="txt" />
			</div>
			
			<div class="fleft">
				<label>&nbsp;</label>
				<input type="submit" class="btn btn-submit" name="a" value="add" />
			</div>
			
			<div class="clear"></div>
		</div>
	</form>
	
	<? if ( count($this->tours) ): ?>
	<form class="signup-form" action="" method="post" onsubmit="return deleteSelected()">
		<div class="rates-list signup-bodky">
			<table>
				<thead>
					<tr>
						<th style="width: 16px"><input id="checkall" type="checkbox" /></th>
						<th><?= $this->t('city') ?></th>
						<th><?= $this->t('from') ?></th>
						<th><?= $this->t('to') ?></th>
						<th><?= $this->t('email') ?></th>
						<th><?= $this->t('phone') ?></th>
					</tr>
				</thead>
				<tbody>
					<? foreach ( $this->tours as $tour ): ?>
					<tr<?= $tour['id'] == $this->appear['id'] ? ' class="appear"' : '' ?>>
						<td><input type="checkbox" name="tours[]" value="<?= $tour['id'] ?>" /></td>
						<td><?= $tour['city_title'] ?></td>
						<td><?= date('d M Y', $tour['date_from']) ?></td>
						<td><?= date('d M Y', $tour['date_to']) ?></td>
						<td><?= strlen($tour['email']) ? $tour['email'] : '-' ?></td>
						<td><?= strlen($tour['phone']) ? $tour['phone'] : '-' ?></td>
					</tr>
					<? endforeach; ?>
				</tbody>
			</table>
		</div>
		
		<div>
			<input type="submit" class="btn btn-delete" name="a" value="delete" />
			<div class="clear"></div>
		</div>
	</form>
	<? else: ?>
	<?= $this->t('no_tours_defined') ?>
	<? endif; ?>
</div></div></div>
